Bug 856555 - Publican does not generate ids for section elements in html-single.
Publican does not generate ids for section elements in html-single.
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: 3.0
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 06:08 EDT by Eva Kopalova
Modified: 2013-09-30 19:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Jeff Fearn 2012-09-13 00:42:46 EDT
Added rule to include generated IDs to ID de-duplication code.

To ssh://git.fedorahosted.org/git/publican.git
   d57ac25..bc11c60  master -> master
Comment 2 Andrew Ross 2012-10-03 19:35:04 EDT
Tested on RHEL6.3 workstation using publican-3.0-0.el6.t226.noarch build from source.

Followed the steps to reproduce in comment#0.

1. publican create --name Test

2. cd Test

3. Edit en-US/Chapter.xml. Remove the id="sect-Documentation-Test-Test_Chapter-Test_Section_1" from the <section> tag for section 1.

For example:
<section>
	<title>Test Section 1</title>
	<para>
		This is a test paragraph in a section
	</para>
</section>

4. publican build --formats html-single --langs en-US

5. firefox tmp/en-US/html/index.html

6. Click the link for "1.1. Test Section 1"

7. Rinse, repeat for another chapter.


Based upon these tests moving to VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.